Subject: Re: bug#21096: Useradd, usermod do not use the target to read groups from when using the -R parameter

From: Olliver Schinagl <[email-masked]>
Date: Tue, 21 Jul 2015 10:51:49 +0200

Hey

On 20-07-15 17:59, Assaf Gordon wrote:
> Hello,
>
> On 07/20/2015 04:12 AM, Olliver Schinagl wrote:
> <...>
>> It appears both usermod and useradd use the local /etc/group rather
>> then what is supplied via the -R parameter.
> <...>
>> Am I doing something wrong or is this indeed a bug in the coreutils?
>
> It might be a bug, but not in coreutils - these programs are not part 
> of coreutils.
>
>> I'm using debian jessie's 8.23-4 on amd64
>
> It seems that in Debian, these programs are part of the 'passwd' package,
> whose source is maintained here (as upstream of the 'shadow' package):
>   http://pkg-shadow.alioth.debian.org/features.php
> You could try asking here:
>   http://pkg-shadow.alioth.debian.org/getinvolved.php
I feel so stupid for not noticing this. I thought I checked, but for 
some reason I thought it was in coreutils.

Sorry for the noise!
> regards,
>  - assaf

-- 
Met vriendelijke groeten, Kind regards, 与亲切的问候

Olliver Schinagl
Research & Development
Ultimaker B.V.

-- 

IMAGINE IT >> MAKE IT

Meet us online at Twitter <http://twitter.com/ultimaker>, Facebook 
<http://facebook.com/ultimaker>, Google+ <http://google.com/+Ultimaker>

www.ultimaker.com